# StatsEvents methods

## fillFromParameters( p ) <a href="#fillfromparameters" id="fillfromparameters"></a>

Overloads the [Items::fillFromParameters](https://cherrycake.tin.cat/reference/items/items-methods#fillfromparameters) method to provide an easy way to load [StatsEvent](https://cherrycake.tin.cat/reference/core-classes/statsevent) items when instantiating this class.

* **`p`** Specifications on how to fill the [StatsEvents](https://cherrycake.tin.cat/reference/core-classes/statsevents) object, with the possible keys below plus any other setup keys from [Items::fillFromParameters](https://cherrycake.tin.cat/reference/items/items-methods#fillfromparameters), or an array of [StatsEvent](https://cherrycake.tin.cat/reference/core-classes/statsevent) objects to fill the list with.
  * **`type`** The class name of the StatsEvent objects to get.
  * **`fromTimestamp`** The starting timestamp for the time frame to get StatsEvent objects from.
  * **`toTimestamp`** The finishing timestamp for the time frame to get StatsEvent objects from.

**Returns:** `true` if everything went ok, `false` otherwise.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://cherrycake.tin.cat/reference/core-classes/statsevents/statsevents-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
